﻿Public Partial Class ScrollExtenderSample
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim dt As New DataTable
        For columnNum As Integer = 1 To 4
            dt.Columns.Add("column" & columnNum)
        Next

        For rowNum As Integer = 1 To 30
            Dim row As DataRow = dt.NewRow()
            For columnNum As Integer = 1 To 4
                row("column" & columnNum) = "value" & columnNum & "-" & rowNum
            Next
            dt.Rows.Add(row)
        Next

        GridView1.DataSource = dt
        GridView1.DataBind()
    End Sub

    Protected Sub ResetButton_Click(ByVal sender As Object, ByVal e As EventArgs) Handles ResetButton.Click
        Panel1_ScrollExtender.Reset()
    End Sub
End Class